<div class="flex-column">
  <nz-select
    class="full-width"
    [nzShowArrow]="false"
    nzMode="multiple"
    [(ngModel)]="model"
    (ngModelChange)="confirm()"
    (nzFocus)="handleFocus()"
    [nzDisabled]="disabled"
  >
    @for (option of options; track option) {
      <nz-option [nzValue]="option" [nzLabel]="option"></nz-option>
    }
    @for (option of selectedTagsNotInOptions; track option) {
      <nz-option [nzValue]="option" [nzLabel]="option" nzHide></nz-option>
    }
  </nz-select>
</div>
